🧪 List a Carrier’s Insurance Filings
🧪 List a Carrier’s Insurance Filings
Retrieve insurance filings for a carrier, by DOT number. Ordered by effective date, most recent first. Optionally bound the results with from_date/to_date, or set active_only=true to restrict to filings with no cancellation date on file.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
dot_number
Query parameters
registry
Registry/authority that maintains the carrier record.
Allowed values:
active_only
If true, only include filings with no cancellation_date on file (i.e. still in force).
from_date
Return only records on or after this date. Format: YYYY-MM-DD
to_date
Return only records on or before this date. Format: YYYY-MM-DD
cursor
Cursor for the next page
size
Page size
Response
Successful Response
items
total
current_page
Cursor to refetch the current page
current_page_backwards
Cursor to refetch the current page starting from the last item
previous_page
Cursor for the previous page
next_page
Cursor for the next page
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error